---

stages:
  - linting
  - test

variables:
  YAML_PATH_EXCLUSION: ''

yaml:
  stage: linting
  image:
    name: registry.gitlab.com/pipeline-components/yamllint
  before_script:
    - |
      if [ -z "${YAML_PATH_EXCLUSION}" ]
      then
        echo "No path exclusion set"
        export PATH_EXCL_CMD=""
      else
        echo "Path exclusion set to ${YAML_PATH_EXCLUSION}"
        export PATH_EXCL_CMD="-type d -path ${YAML_PATH_EXCLUSION} -prune -o"
      fi
  script:
    - pip install yamllint-junit
    - |
      find . $PATH_EXCL_CMD -iname '*.y*ml' -print |
      xargs yamllint -f parsable | tee /dev/stderr |
      yamllint-junit -o yamllint-junit.xml
  artifacts:
    reports:
      junit: yamllint-junit.xml
  rules:
    - if: '$YAML_CHECK_DISABLED || $JOBS_DISABLED'
      when: never
    - if: $CI_MERGE_REQUEST_ID
      when: never
    - when: on_success
